%define gitver %(echo %version | cut -d. -f5)
Name:          spirv-llvm-translator
Version:       19.1.4
Release:       1mamba
Summary:       A tool and a library for bi-directional translation between SPIR-V and LLVM IR
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Source:        https://github.com/KhronosGroup/SPIRV-LLVM-Translator.git/v%{version}/SPIRV-LLVM-Translator-%{version}.tar.bz2
License:       NCSA
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libllvm-devel
BuildRequires: libspirv-tools-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libllvm-devel >= 17.0.3
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A tool and a library for bi-directional translation between SPIR-V and LLVM IR.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      spirv-headers
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n SPIRV-LLVM-Translator-%{version}

%build
%cmake -d build \
    -DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=%{_includedir}/spirv/

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libLLVMSPIRVLib.so.*
%doc LICENSE.TXT

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/llvm-spirv
%dir %{_includedir}/LLVMSPIRVLib
%{_includedir}/LLVMSPIRVLib/*
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc
%doc README.md

%changelog
* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 19.1.4-1mamba
- automatic version update by autodist

* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 19.1.3-1mamba
- automatic version update by autodist

* Tue Dec 03 2024 Automatic Build System <autodist@openmamba.org> 19.1.2-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 19.1.1-1mamba
- automatic version update by autodist

* Sun Sep 22 2024 Automatic Build System <autodist@openmamba.org> 19.1.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2024 Automatic Build System <autodist@openmamba.org> 18.1.4-1mamba
- automatic version update by autodist

* Thu Aug 01 2024 Automatic Build System <autodist@openmamba.org> 18.1.3-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 18.1.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 18.1.1-1mamba
- update to 18.1.1

* Sun Mar 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 18.0.0.20240215git.ffdb454-1mamba
- update to 18.0.0.20240215git.ffdb454

* Tue Oct 24 2023 Automatic Build System <autodist@mambasoft.it> 17.0.0-1mamba
- automatic version update by autodist

* Wed May 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 16.0.0-1mamba
- update to 16.0.0

* Tue Dec 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0.0-1mamba
- package created using the webbuild interface
